# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/nxp,imx95-blk-ctl.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NXP i.MX95 Block Control

maintainers:
  - Peng Fan <peng.fan@nxp.com>

properties:
  compatible:
    items:
      - enum:
          - nxp,imx95-camera-csr
          - nxp,imx95-display-csr
          - nxp,imx95-hsio-blk-ctl
          - nxp,imx95-lvds-csr
          - nxp,imx95-netcmix-blk-ctrl
          - nxp,imx95-vpu-csr
      - const: syscon

  reg:
    maxItems: 1

  power-domains:
    maxItems: 1

  clocks:
    maxItems: 1

  '#clock-cells':
    const: 1
    description:
      The clock consumer should specify the desired clock by having the clock
      ID in its "clocks" phandle cell. See
      include/dt-bindings/clock/nxp,imx95-clock.h

required:
  - compatible
  - reg
  - '#clock-cells'
  - power-domains
  - clocks

additionalProperties: false

examples:
  - |
    syscon@4c410000 {
      compatible = "nxp,imx95-vpu-csr", "syscon";
      reg = <0x4c410000 0x10000>;
      #clock-cells = <1>;
      clocks = <&scmi_clk 114>;
      power-domains = <&scmi_devpd 21>;
    };
...
